Debian Bug report logs - #720942
ITP: golang-log4go-dev -- Go package for level-based and highly configurable logging

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Vincent Bernat <bernat@debian.org>

Date: Mon, 26 Aug 2013 14:21:06 UTC

Owned by: Vincent Bernat <bernat@debian.org>

Severity: wishlist

Fixed in version golang-log4go/0.0~hg48-1

Done: Vincent Bernat <bernat@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#720942; Package wnpp. (Mon, 26 Aug 2013 14:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 26 Aug 2013 14:21:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: golang-log4go-dev -- Go package for level-based and highly configurable logging
Date: Mon, 26 Aug 2013 16:18:29 +0200
Package: wnpp
Severity: wishlist
Owner: Vincent Bernat <bernat@debian.org>

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

* Package name    : golang-log4go-dev
  Version         : 0.0~hg48-1
  Upstream Author : Kyle Lemons <kyle@kylelemons.net>
* URL             : https://code.google.com/p/log4go/
* License         : BSD-2-clause
  Programming Lang: Go
  Description     : Go package for level-based and highly configurable logging

The goal of log4go is to be a robust, configurable, powerful logging
package to empower Go developers to debug their programs more
effectively on the fly and diagnose problems in the field without
hampering their effectiveness during development or hampering the
performance of their applications.

This package is a replacement logging package which will be boqth a drop-in replacement for and a significant extension of the built-in logging functionality in Go.

It features:
 + File logging with rotation and custom output formats
 + Console logging
 + Network logging via JSON and TCP/UDP
 + XML Logger
 + Automatic log filtering based on log levels on a per-output basis
 + XML configuration available for no-compile changes to logging
 + Wrapper functions and global loggers for easy configuration and
   rapid deployment

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSG2OxAAoJEJWkL+g1NSX5bVAQAJcJxzWzYg14XDGy4AkPj9dh
t2mGVknBV6jFj8iKoLdsgLnb6KCDo538KlTmszZa7vGhgQoHJ+ZJG6HchDZIZQSm
0D0l3Y82rmveyV+0DPWLk1Aqc9eanhGPpzNOxXiK6t3Aa28xDyjux9/VkdSF35qB
m6t4cXzCAUE9Hzpl/ikkxm7n2l+ec6+q9T1yI7O5BWWPLRPIHcpXhqyVQVlkbfBj
m+JHToL/hM8ktpMSFx10WpOgj4g3ZnA4M+mR6rHLIv+BjMg50jU9h5Gf4z/j2Wb3
JBNsQ9NMMxmvp0am6kfCisSWzP3W8N9oaI80SKHwtKoNI/0QqpuESq44wBLkj33t
MoNA1J5mAvBn/5CkjhPfPAKhudN877uny2h+xndFEfuEdqZDzsGhNX8Ukfmy+sUH
EhSVt9bc68Xgy/GH5t3xv3zC7p+Aso70LJEgtxTZ4HZVTgOp5QI1ORuKujRHSQvw
Yt27fT3CLmkSghRwUcSX9Aw2wPRwmtl3hryCg6ZuZJxv6A6LaRF9FyzPqwPOA06b
k0zOYvYsy2qKqgr4U9vjCEguzaEqm96fvRBUFGjOJtAEM2yhQTx49oZokPyRjLVl
KP3d1RW1kRhGIn+arRRFkyvYD81oC2SfN3wboizd6BXXG7vqKDpYVHIIYEpI57pX
k6DWXVxnMdTNt/Fcd8mf
=z2nM
-----END PGP SIGNATURE-----



Reply sent to Vincent Bernat <bernat@debian.org>:
You have taken responsibility. (Mon, 20 Jan 2014 13:03:16 GMT) Full text and rfc822 format available.

Notification sent to Vincent Bernat <bernat@debian.org>:
Bug acknowledged by developer. (Mon, 20 Jan 2014 13:03:16 GMT) Full text and rfc822 format available.

Message #10 received at 720942-close@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: 720942-close@bugs.debian.org
Subject: Bug#720942: fixed in golang-log4go 0.0~hg48-1
Date: Mon, 20 Jan 2014 13:00:07 +0000
Source: golang-log4go
Source-Version: 0.0~hg48-1

We believe that the bug you reported is fixed in the latest version of
golang-log4go, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 720942@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vincent Bernat <bernat@debian.org> (supplier of updated golang-log4go package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 19 Jan 2014 10:48:50 +0100
Source: golang-log4go
Binary: golang-log4go-dev
Architecture: source amd64
Version: 0.0~hg48-1
Distribution: unstable
Urgency: low
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Changed-By: Vincent Bernat <bernat@debian.org>
Description: 
 golang-log4go-dev - Go package for level-based and highly configurable logging
Closes: 720942
Changes: 
 golang-log4go (0.0~hg48-1) unstable; urgency=low
 .
   * Initial packaging. Closes: #720942.
Checksums-Sha1: 
 2fd74cc9dc79556459cd55dc8ff51964e0bca6f6 1980 golang-log4go_0.0~hg48-1.dsc
 530cb581a4a7d7a5213d9abab66a596258a80373 14432 golang-log4go_0.0~hg48.orig.tar.xz
 924dbc0a6455b13f36b9a35264db1ab05817b102 2552 golang-log4go_0.0~hg48-1.debian.tar.xz
 4c65a507b6241ee7c9bab46194e6cc31b382284a 16252 golang-log4go-dev_0.0~hg48-1_amd64.deb
Checksums-Sha256: 
 286588c30b2bc647315b19147676b90f890bcee38a54628b2ce36e27f071bee2 1980 golang-log4go_0.0~hg48-1.dsc
 fc6267575798b0a70f7440419e9444add383e12f022215820eb59219bf6d00d6 14432 golang-log4go_0.0~hg48.orig.tar.xz
 ca68f77a9c8a5963751ff21a75ef2e84b9f1e7654005c5e87dbbf0b3b874f95e 2552 golang-log4go_0.0~hg48-1.debian.tar.xz
 549e4551a78f829ff30c402ab3d79daa46ebd9cf8e9bb5d8f7a6cf3ffaca6587 16252 golang-log4go-dev_0.0~hg48-1_amd64.deb
Files: 
 08d57b25ae763bf0eee8e5b38663ce7c 1980 devel extra golang-log4go_0.0~hg48-1.dsc
 4ff58b18b4df33491abb97a4d1136e28 14432 devel extra golang-log4go_0.0~hg48.orig.tar.xz
 c15b584fa8939b8f165322c4ae2e73b4 2552 devel extra golang-log4go_0.0~hg48-1.debian.tar.xz
 cba04cf1a13c7a344ecc7faac87ac56d 16252 devel extra golang-log4go-dev_0.0~hg48-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJS269sAAoJEJWkL+g1NSX5TXEP/R33V65GKXNq0wpEfwfjBIIk
cKqyuTYi06anWq+cSS7y009zEDhxhU8HBmEa9w2x9lJw7TW6/3TTa9FSgomWaxvq
lRMog7B0W8i9Tl3Yte+jLGSF8xmimeJeZCQSq6nPwoVDruKD4/IuLJnKdbFecHNl
8M00g9sNi24Kt1ny3ebKCqR6ZvTdlp5sh0F2PluS4GV46d0aLvSRhqksNK5KVJCX
YWfMUasHi5FUTYgZBifTu5LshnGLP3enYo2fy3gJOVy7MkHCsWdqCs3Gjo8xEzEW
qP0cNZszKBBh6BygG7Rv+dVkqtFoTXJuWtRGtiu79KNQW7UvuaTHdJp9vcxGrz1V
1BQySGA2YMcMXMdUNo4GkcnEwfvT0fA4UIChtYJKSjSrYwUsdq6sVMx5avz7gC5c
lEXTuB+Mv8hEm10nj5K3+nyn8cRmGyC0HPdhb5/ynF6U8Bjet69Zi+tIDlGMSpQX
BszQ6oNcziqsOs2FHctUf4HDPMp1bDh0iRp5g7S2gb21giVOBpPOTyVIkm1UCuQj
k0WWw9o2GcVOzAXQDiRI2GR08ifq85NRbDF9HTVPWcDkORpg6ZLWZlTzLGeAYla4
At8YJoy/N5eFcMZGuWwc0y34TRkDpKdDA0n6MenlOnnUY+qLY/TDQJYwDKe4Ribo
YOBpcbK5UwgNknf+gal5
=ZUjo
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 18 Feb 2014 07:39:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:03:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.